package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Dga;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DgaMapper {

    int insert(Dga record);

    int insertSelective(Dga record);

    int updateByPrimaryKeySelective(Dga record);

    int updateByPrimaryKey(Dga record);

    int deleteByPrimaryKey(Dga record);

    int deleteByIds(Collection<Object> collection);

    Dga selectByPrimaryKey(Dga record);

    List<Dga> selectByBiccod(@Param("biccod") String biccod);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dga> dyncRead(Map<String,Object> dyncMap);

    List<Dga> selectByBiccodAndJigomc(@Param("biccod") String biccod, @Param("jigomc") String jigomc);

    List<Map<String,String>> selectInfoByJigoMcOrBicCod(@Param("JIGOMC") String JIGOMC,@Param("BICCOD") String BICCOD,@Param("rn")int rn,@Param("rs")int rs);

    String selectCountByJigoMcOrBicCod(@Param("JIGOMC")String JIGOMC,@Param("BICCOD")String BICCOD);

}